(* $Id: nn_alloc_trivial.mli 324 2010-11-15 23:38:24Z gerd $ *)

(** Block allocation algorithm *)

val allocate_trivial_strategy : 
      Nn_blockmap.blockmap_t list ->
      Nn_alloc_types.transacted_datastores ->
      < > ->
      int ->
      int64 ->
      int ->
         Nn_blocklist.blocklist
  (** [allocate_trivial_strategy bmaps td owner repl index number]:
      Allocates blocks for the index range [index] to [index+number-1].
      The replication factor is [repl]. The blocks are allocated in the
      passed blockmaps [bmaps], and will be assigned to [owner].
      Tickets are generated for the transaction identified by [td].

      This is the "trivial" algorithm. It iterates over the index range
      and tries to allocate each block separately, without taking advantage
      of the range. This algorithm should not be used anymore; it is
      kept in the code base purely for documentation purposes.
   *)
