(*
  Copyright 2010 Gerd Stolpmann

  This file is part of Plasma, a distributed filesystem and a
  map/reduce computation framework. Unless you have a written license
  agreement with the copyright holder (Gerd Stolpmann), the following
  terms apply:

  Plasma is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Plasma is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

*)
(* $Id: plasma_netfs.mli 331 2010-12-31 00:32:18Z gerd $ *)

(** Accessing PlasmaFS via the [Netfs.stream_fs] interface *)

class netfs : ?repl:int -> ?verbose:bool -> 
              Plasma_client.plasma_cluster -> Netfs.stream_fs
val netfs : ?repl:int -> ?verbose:bool -> 
            Plasma_client.plasma_cluster -> Netfs.stream_fs
  (** Access this cluster with the [stream_fs] interface:

      - [read] and [write] are fully implemented, and always use
        streaming mode. The I/O bases on the buffered access layer
        provided by {!Plasma_client}, and so it is a good idea to
        configure some number of buffers to use, with
        {!Plasma_client.configure_buffer}.

      Arguments:

      - [repl]: The replication factor for new files. Defaults to 0, i.e.
        to the server default.
      - [verbose]: Whether to output progress messages to stderr for
        all metadata modifications.
        Defaults to [false]. (This exists for the command-line utility
        [plasma].)
   *)
